---
title: GlobalEventHandlers.ongotpointercapture
slug: Web/API/GlobalEventHandlers/ongotpointercapture
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
  - events
  - ongotpointercapture
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>ongotpointercapture</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("gotpointercapture")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>target</var>.ongotpointercapture = <var>functionRef</var>;</pre>

<h3 id="Value">Value</h3>

<p><code><var>functionRef</var></code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("PointerEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">function overHandler(event) {
  // Determine the target event's gotpointercapture handler
  let gotCaptureHandler = event.target.ongotpointercapture;
}

function init() {
  let el = document.getElementById('target');
  el.ongotpointercapture = overHandler;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2', '#the-gotpointercapture-event', 'ongotpointercapture')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.ongotpointercapture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Document/gotpointercapture_event">Document: gotpointercapture</a></code> event</li>
 <li><code><a href="/en-US/docs/Web/API/HTMLElement/gotpointercapture_event">HTMLElement: gotpointercapture</a></code> event</li>
 <li>{{domxref("Element.setPointerCapture()")}}</li>
</ul>
